Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.search.ui
Interface ISearchResultView

All Superinterfaces:
  IAdaptable, IViewPart, IWorkbenchPart

Deprecated. Use `ISearchResultViewPart` instead.

public interface ISearchResultView
extends IViewPart

Provides client access to the search result view. Each element in the view is a `ISearchResultViewEntry`, which groups markers based on the `groupByKey` provided by the client each time when adding a match. If every match should show up in the search result view then the match itself can be used as key.

The search result view has id `"org.eclipse.search.SearchResultView"`.

This interface is not intended to be implemented by clients.

Field Summary

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Method Summary
`void` | `addMatch(String description, Object groupByKey, IResource resource, IMarker marker)` Deprecated. Informs the view that a match has been found.
`ILabelProvider` | `getLabelProvider()` Deprecated. Returns the label provider of a search result view.
`ISelection` | `getSelection()` Deprecated. Returns the current selection of the search result view
`void` | `searchFinished()` Deprecated. Informs the view that the search has finished.
`void` | `searchStarted(IActionGroupFactory groupFactory, String singularLabel, String pluralLabelPattern, ImageDescriptor imageDescriptor, String pageId, ILabelProvider labelProvider, IAction gotoAction, IGroupByKeyComputer groupByKeyComputer, IRunnableWithProgress operation)` Deprecated. Informs the view that a search has started.
`void` | `searchStarted(String pageId, String label, ImageDescriptor imageDescriptor, IContextMenuContributor contributor, ILabelProvider labelProvider, IAction gotoAction, IGroupByKeyComputer groupByKeyComputer, IRunnableWithProgress operation)` Deprecated. As of build > 20011107, replaced by the new version with additonal parameter
`void` | `searchStarted(String pageId, String singularLabel, String pluralLabelPattern, ImageDescriptor imageDescriptor, IContextMenuContributor contributor, ILabelProvider labelProvider, IAction gotoAction, IGroupByKeyComputer groupByKeyComputer, IRunnableWithProgress operation)` Deprecated. As of build > 20020514, replaced by the new version which provides an action group factory

Methods inherited from interface org.eclipse.ui.IViewPart
`getViewSite, init, init, saveState`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### searchStarted

    public void searchStarted(IActionGroupFactory groupFactory,
                              String singularLabel,
                              String pluralLabelPattern,
                              ImageDescriptor imageDescriptor,
                              String pageId,
                              ILabelProvider labelProvider,
                              IAction gotoAction,
                              IGroupByKeyComputer groupByKeyComputer,
                              IRunnableWithProgress operation)

  Deprecated.
  Informs the view that a search has started. Provides all necessary information to create an entry in the search result view. If every match should show up in the search result view then the match itself can be used as key.

  Parameters:
    `groupFactory` - the action group factory or `null` if no factory is provided.
    `singularLabel` - the label to be used for this search occurrence if there is one match or `null` if the pluralLabelPattern should be used
    `pluralLabelPattern` - the label pattern to be used for this search occurrence if there are more than one matches or none. This string may contain {0} which will be replace by the match count
    `imageDescriptor` - the image descriptor to be used for this search occurrence, or `null` if this search should not have an image
    `pageId` - the id of the search page which started the search
    `labelProvider` - the label provider used by this search result view or `null` if the default provider should be used. The default label provider shows the resource name and the corresponding image.
    `gotoAction` - the action used by the view to go to a marker
    `groupByKeyComputer` - the computer used by the view to compute the key for a marker
    `operation` - the runnable used by the view to repeat the search
  Since:
    2.0
  See Also:
    `IActionGroupFactory`

### getSelection

    public ISelection getSelection()

  Deprecated.
  Returns the current selection of the search result view

  Returns:
    the current selection of the search result view
  See Also:
    `ISelectionProvider.getSelection()`

### searchStarted

    public void searchStarted(String pageId,
                              String label,
                              ImageDescriptor imageDescriptor,
                              IContextMenuContributor contributor,
                              ILabelProvider labelProvider,
                              IAction gotoAction,
                              IGroupByKeyComputer groupByKeyComputer,
                              IRunnableWithProgress operation)

  Deprecated. As of build > 20011107, replaced by the new version with additonal parameter

  Informs the view that a search has started. Provides all necessary information to create an entry in the search result view. If every match should show up in the search result view then the match itself can be used as key.

  Parameters:
    `pageId` - the id of the search page which started the search
    `label` - the label to be used for this search occurrence
    `imageDescriptor` - the image descriptor to be used for this search occurrence, or `null` if this search should not have an image
    `contributor` - the context menu contributor or `null` if no context menu is contributed
    `labelProvider` - the label provider used by this search result view or `null` if the default provider should be used. The default label provider shows the resource name and the corresponding image.
    `gotoAction` - the action used by the view to go to a marker
    `groupByKeyComputer` - the computer used by the view to compute the key for a marker
    `operation` - the runnable used by the view to repeat the search

### searchStarted

    public void searchStarted(String pageId,
                              String singularLabel,
                              String pluralLabelPattern,
                              ImageDescriptor imageDescriptor,
                              IContextMenuContributor contributor,
                              ILabelProvider labelProvider,
                              IAction gotoAction,
                              IGroupByKeyComputer groupByKeyComputer,
                              IRunnableWithProgress operation)

  Deprecated. As of build > 20020514, replaced by the new version which provides an action group factory

  Informs the view that a search has started. Provides all necessary information to create an entry in the search result view. If every match should show up in the search result view then the match itself can be used as key.

  Parameters:
    `pageId` - the id of the search page which started the search
    `singularLabel` - the label to be used for this search occurrence if there is one match or `null` if the pluralLabelPattern should be used
    `pluralLabelPattern` - the label pattern to be used for this search occurrence if there are more than one matches or none. This string may contain {0} which will be replace by the match count
    `imageDescriptor` - the image descriptor to be used for this search occurrence, or `null` if this search should not have an image
    `contributor` - the context menu contributor or `null` if no context menu is contributed
    `labelProvider` - the label provider used by this search result view or `null` if the default provider should be used. The default label provider shows the resource name and the corresponding image.
    `gotoAction` - the action used by the view to go to a marker
    `groupByKeyComputer` - the computer used by the view to compute the key for a marker
    `operation` - the runnable used by the view to repeat the search
  Since:
    2.0

### searchFinished

    public void searchFinished()

  Deprecated.
  Informs the view that the search has finished. This method must also be called in case of the search fails or has been canceled.

### addMatch

    public void addMatch(String description,
                         Object groupByKey,
                         IResource resource,
                         IMarker marker)

  Deprecated.
  Informs the view that a match has been found. Provides all necessary information to create a search result entry in this view.

  Note: It is the clients responsibility to create the marker for this match.

  Parameters:
    `description` - the text description of the match
    `groupByKey` - the `Object` by which this match is grouped
    `marker` - the marker for this match
    `resource` - the marker's resource passed for optimization

### getLabelProvider

    public ILabelProvider getLabelProvider()

  Deprecated.
  Returns the label provider of a search result view.

  Returns:
    the label provider of a search result view or `null`
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.